1. Market Data
Corvus API
  • Token
    • Get Token
      POST
  • User
    • Wallet
      • Query user ledger balance
  • Position
    • My positions with pagination
      GET
  • Market Data
    • Get match team information
      GET
    • Get match team information in batch
      POST
    • Get market price history
      GET
    • Get order books in batch
      POST
    • Get topic market groups
      GET
    • Get topic event list
      GET
    • Get historical events in the same topic series
      GET
    • Get topic event details
      GET
  • Order
    • My orders with pagination
      GET
    • Create prediction buy order
      POST
    • Create prediction sell order
      POST
  • Schemas
    • ErrorResponse
    • WalletBalanceResponse
    • WalletAccountBalanceVo
    • DepositAddressVo
    • PositionListResponse
    • PositionVo
    • TeamsQueryBo
    • TeamsResponse
    • MatchTeamsVo
    • PriceHistoryResponse
    • PriceHistoryPointVo
    • OrderBookQueryBo
    • OrderBooksResponse
    • OrderBookVo
    • OrderBookEntry
    • TopicGroupsResponse
    • TopicMarketGroupVo
    • MarketEventsResponse
    • MarketDetailResponse
    • MarketItemVo
    • EventMarketVo
    • OrderListResponse
    • PredictionOrderListVo
    • PredictionOrderCreateBo
    • PredictionSellOrderCreateBo
    • PredictionOrderResponse
    • PredictionOrderVo
  1. Market Data

Get topic market groups

GET
/api/market/{categoryKey}/{topicKey}/groups
Gets market group metadata under the specified topic for sidebar, filter, or topic page group display. Example: /api/market/politics/iran/groups.

Request

Path Params

Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://ourcorvus.com/api/market/politics/iran/groups?active=true&closed=false' \
--header 'Accept-Language: zh_CN'

Responses

🟢200
application/json
Query successful
Bodyapplication/json

Example
{
    "code": 200,
    "msg": "Operation successful",
    "data": [
        {
            "key": "all",
            "label": "All",
            "slug": "all",
            "tagId": null,
            "count": 32,
            "sortOrder": 0,
            "url": "/politics/iran"
        },
        {
            "key": "nuclear",
            "label": "Nuclear",
            "slug": "nuclear",
            "tagId": "101",
            "count": 4,
            "sortOrder": 10,
            "url": "/politics/iran?group=nuclear"
        }
    ]
}
🟠400TopicParameterError
🔴500ServerError
Modified at 2026-05-19 02:21:34
Previous
Get order books in batch
Next
Get topic event list
Built with